Last Comment Bug 490857 - Update AMO on Apr 30
: Update AMO on Apr 30
Status: VERIFIED FIXED
:
Product: mozilla.org Graveyard
Classification: Graveyard
Component: Server Operations (show other bugs)
: other
: All Other
: -- normal (vote)
: ---
Assigned To: server-ops
: matthew zeier [:mrz]
Mentors:
https://addons.mozilla.org/en-US/fire...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-30 11:00 PDT by Wil Clouser [:clouserw]
Modified: 2015-03-12 08:17 PDT (History)
7 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Output of 'svn up' (43.98 KB, text/plain)
2009-04-30 19:08 PDT, Derek Moore [:dmoore]
no flags Details

Description Wil Clouser [:clouserw] 2009-04-30 11:00:52 PDT
Please update AMO on 4/30 and paste all the output from all commands into this bug. Steps involved:

1) Make sure all the database updates at
https://wiki.mozilla.org/Update:Developers/Database_Changes#5.0.5 are run.  I think they are already run in production from a few days ago but it should be verified. 

2) svn up

3) There are a couple of local changes in webroot/js/addons.js and views/addons/policy.thtml.  Please make sure these merge with no troubles.

4) Clear all caches including the local cake model cache.

I still need to tag the site so this bug is serving as advanced notice for now.
Please wait for an update from me here before updating.
Comment 1 Derek Moore [:dmoore] 2009-04-30 17:52:28 PDT
Wil,

Would you still like to schedule this update for tonight, or should it be postponed?
Comment 2 Wil Clouser [:clouserw] 2009-04-30 18:15:14 PDT
Absolutely tonight.  a=clouserw to push anytime.
Comment 3 Derek Moore [:dmoore] 2009-04-30 18:34:05 PDT
Confirmed SQL alterations are already in place:

mysql> desc addons_remora.users bio;
+-------+------------------+------+-----+---------+-------+
| Field | Type             | Null | Key | Default | Extra |
+-------+------------------+------+-----+---------+-------+
| bio   | int(11) unsigned | YES  | MUL | NULL    |       | 
+-------+------------------+------+-----+---------+-------+
1 row in set (0.00 sec)

mysql> desc addons_remora.licenses;
+----------+------------------+------+-----+---------------------+
| Field    | Type             | Null | Key | Default             |
+----------+------------------+------+-----+---------------------+
| id       | int(11) unsigned | NO   | PRI | NULL                |
| name     | int(1)           | NO   |     | -1                  |
| text     | int(11) unsigned | YES  | MUL | NULL                | 
| created  | datetime         | NO   |     | 0000-00-00 00:00:00 | 
| modified | datetime         | NO   |     | 0000-00-00 00:00:00 | 
+----------+------------------+------+-----+---------------------+
5 rows in set (0.00 sec)

mysql> desc addons_remora.versions license_id;
+------------+------------------+------+-----+---------+-------+
| Field      | Type             | Null | Key | Default | Extra |
+------------+------------------+------+-----+---------+-------+
| license_id | int(11) unsigned | YES  | MUL | NULL    |       | 
+------------+------------------+------+-----+---------+-------+
1 row in set (0.00 sec)

mysql> desc addons_remora.addons dev_agreement;
+---------------+---------------------+------+-----+---------+-------+
| Field         | Type                | Null | Key | Default | Extra |
+---------------+---------------------+------+-----+---------+-------+
| dev_agreement | tinyint(1) unsigned | NO   |     | 0       |       | 
+---------------+---------------------+------+-----+---------+-------+
1 row in set (0.00 sec)
Comment 4 Derek Moore [:dmoore] 2009-04-30 19:08:15 PDT
Created attachment 375279 [details]
Output of 'svn up'

Output of 'svn up' attached.
Comment 5 Derek Moore [:dmoore] 2009-04-30 19:12:55 PDT
Local file caches cleared (including Cake cache)
Comment 6 Derek Moore [:dmoore] 2009-04-30 19:52:01 PDT
Originally updated obsolete 'dynamic' directory instead of 'php5'. Fixed and pushed.
Comment 7 Stephen Donner [:stephend] 2009-04-30 20:11:37 PDT
Somtimes, we're still seeing raw string defines, such as view_top_rated, on the category landing pages (reload https://addons.mozilla.org/en-US/firefox/browse/type:1/cat:22 a bunch of times and look at the bottom) -- maybe a few app servers haven't yet fully updated, or maybe they got incomplete files?
Comment 8 Stephen Donner [:stephend] 2009-04-30 20:56:46 PDT
(In reply to comment #7)
> Somtimes, we're still seeing raw string defines, such as view_top_rated, on the
> category landing pages (reload
> https://addons.mozilla.org/en-US/firefox/browse/type:1/cat:22 a bunch of times
> and look at the bottom) -- maybe a few app servers haven't yet fully updated,
> or maybe they got incomplete files?

Looks good now; thanks for clearing the cache.
Comment 9 Stephen Donner [:stephend] 2009-04-30 21:11:29 PDT
Verified FIXED; not seeing any further issues on https://addons.mozilla.org/en-US/firefox/.

Note You need to log in before you can comment on or make changes to this bug.